Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-9703

Improve archetype "wildfly-javaee7-webapp-ear-blank-archetype" to simplify upgrade to recent WildFly versions

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: 11.0.0.Final
    • Fix Version/s: 18.0.0.Final
    • Component/s: EE
    • Labels:
      None

      Description

      When using this archetype, the "pom.xml" of the root project points to JBoss 8.2.1 / WildFly 9.0.0Alpha1

      After changing the versions to WildFly 11, several additional changes are necessary. I suggest to add at least some comments about necessary changes. It would be even better to upgrade the archetype to a more recent WildFly version .

      In "pom.xml" of the root project:

      • Dependeny "jboss-javaee-7.0-with-tools" has to be changed to artifactId = "wildfly-javaee7-with-tools".
      • Dependency "jboss-javaee-7.0-with-hibernate" does not seem to exist any longer
        So, add a comment to those dependencies about error messages when switching to a new WildFly version and about the necessary changes. This comment should contain the new snippet.

      In "pom.xml" of the web project:

      • Dependeny with groupId = "org.jboss.resteasy", artifactId="jaxrs-api" was changed to groupId = "org.jboss.spec.javax.ws.rs", artifactId = "jboss-jaxrs-api_2.0_spec" (WFLY-4128)

      In "pom.xml" of the ejb project:

      • Test dependency with groupid = "org.wildfly", artifactId = "wildfly-arquillian-container-managed": the groupId is "org.wildfly.arquillian" (changed beetween 8.1.0 and 11.)
      • Test dependency with groupid = "org.wildfly", artifactId = "wildfly-arquillian-container-remote": the groupId is "org.wildfly.arquillian"

      Additionally, it would be helpful if the web project contains the dependencies with groupId = "org.jboss.spec.javax.ejb" and artifactId = "jboss-ejb-api_3.2_spec" (for use of the "@EJB" annotation in e.g. servlets or JFS components) and groupId = "org.jboss.spec.javax.servlet", artifactId = "jboss-servlet-api_3.1_spec" (for being able to code servlets).

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            wolfgangknauf Wolfgang Knauf
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: